<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="j81busquedasSesionEJB.J81BusquedasSesion_84z0zi_EOImpl"
>
<cluster
    clusterable="true"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="fncConsultaEspecifica(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncConsultaEspecifica(java.lang.String,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncConsultaFichero(java.lang.String,java.util.ArrayList,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncLanzaMovimiento(java.lang.String,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncLanzaMovimientoProfesorCurso(java.lang.String,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncLanzaVariosMovimientos(java.util.ArrayList,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncLanzaBusqueda(java.lang.String,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncLanzaVariasBusquedas(java.util.ArrayList,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncLanzaBusqueda(java.lang.String,java.util.ArrayList,java.lang.Object)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncLanzaBusquedaDep(java.util.ArrayList,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="ejecutarQueryRowNum(java.lang.String,java.util.ArrayList,int,int)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="paginarRowNum(j81.clasescomunes.J81ClsAccesoBD)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="retrocederRowNum(j81.clasescomunes.J81ClsAccesoBD)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="irAUltimoRowNum(java.lang.String,j81.clasescomunes.J81ClsAccesoBD)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncLanzaProcedimiento(java.lang.String,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarCodEstrDepartamentos(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarDireccion(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarServicio(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncCargarComboEnt(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncCargarComboEntGeneral(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarSolaskide(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarEstructSolaskide(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarExcelEntidadSolaskideV2(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarExcelEntidadSolaskideV3(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarEtiquetasPostalesSolaskide(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerAllEsctructSolaskide(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerEstructCodUsuario(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAceptarEstructSolaskide(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncEliminarEstructSolaskide(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncSubirTablaEstructSolaskide(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerDetalleSolaskide(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarNuevoSolaskide(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarDetalleSolaskide(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarMensSolaskidev2(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncEnviarFicheroMensSolaskide(java.util.ArrayList,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarMensSolasCorreos(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarMensSolasHistorial(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBorrarMensSolasHistorial(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncVerAnexoMensSolasHistorial(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerFichMensSolasHistorial(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncUpdateFicheroMensSolaskide(java.util.ArrayList,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarCurso(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarCursoLista(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarCurso3(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarCorrelativo(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncActualizarAlumnoPre(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncActualizarAlumno(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncActualizarAlumnoGeneral(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncActualizarImportAutoForm(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarCursosExporEntIntercambio(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarExportAutoForm(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarExcelAlumnosExportAutoForm(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarExcelAlumnosCursoExportAutoForm(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarExcelAlumnosSinExamenExportAutoForm(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarXMLMatriESICursoExportAutoForm(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBusqAlumnExportAsigClassIVAP(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarExportAsigClassIVAP(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncRecuperaInfoUsuario(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="findGestor(j81.clasescomunes.J81UsuarioBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="findResponsable(j81.clasescomunes.J81UsuarioBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncRecuperaTipoEntidad(java.lang.String,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncOrganismoValido(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarEmpresa(j81.j81beans.J81EmpresaBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarHistEnvios(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarHistEnvios(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAdjuntosHistEnvios(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarReenvios(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncLanzaQuery(j81.j81beans.J81LimpiezaEntidadesBean)"
    idempotent="true"
>
</method>
<method
    name="fncObtenerEntDept(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerTrabajador(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="guardarFicheroTemporal(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="validarImportAutoform(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncLanzaBusqueda(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="getEJBHome()"
    requires-transaction="true"
>
</method>
<method
    name="getPrimaryKey()"
    requires-transaction="true"
>
</method>
<method
    name="remove()"
    requires-transaction="true"
>
</method>
<method
    name="getHandle()"
    requires-transaction="true"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
    requires-transaction="true"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
